#ifndef __CEVIDEO_GAPI__
#define __CEVIDEO_GAPI__

extern int CEVideo_Init_GAPI( int width, int height );
extern void CEVideo_Trash_GAPI(void);

extern void systemDrawScreen_GAPI_NOBUF(void);
extern void systemDrawScreen_GAPI_USEBUF(void);

extern char * CEVideo_GetBufferPtrLine_FULL_GAPI_NOBUF(int line);
extern char * CEVideo_GetBufferPtrLine_FULL_GAPI_USEBUF(int line);

extern char * CEVideo_GetBufferPtrLine_HALF_GAPI_NOBUF(int line);
extern char * CEVideo_GetBufferPtrLine_HALF_GAPI_USEBUF(int line);

extern char * CEVideo_GetBufferPtrLine_INTERLESS_GAPI_NOBUF(int line);
extern char * CEVideo_GetBufferPtrLine_INTERLESS_GAPI_USEBUF(int line);

extern char * CEVideo_GetBufferPtr_GAPI_NOBUF(void);
extern char * CEVideo_GetBufferPtr_GAPI_USEBUF(void);

extern void CEVideo_CleanBuffer_GAPI_NOBUF(void);
extern void CEVideo_CleanBuffer_GAPI_USEBUF(void);

extern void CEVideo_FreeBufferPtr_GAPI_NOBUF(void);
extern void CEVideo_FreeBufferPtr_GAPI_USEBUF(void);

#endif
